Skip to content

Accounts

Accounts

Last updated 16 March 2026

πŸ”Ή GET /accounts β€” Query Paginated Accounts

Returns a paginated list of customer accounts.

Query Parameters:

ParameterTypeRequiredDescription
pagenumber❌The page number to retrieve.
limitnumber❌Number of results per page (max 500).
Codetext
{
    "total": 2,
    "results": [
        {
            "xaid": "11afa99b-9111-4111-8dab-f089295c111",
            "status": "ACTIVE",
            "type": "IBAN",
            "currency": "EUR",
            "name": "Acme Corporation",
            "accountNumber": "",
            "sortCode": "",
            "iban": "DK3589000000000001",            
            "bic": "SXPYDKKK",
            "fullName": "Bugs Bunny",
            "companyName": "Acme Corporation",
            "companyReg": "01234567",            
            "legalEntity": "GB",
            "isBusiness": true,
            "customerType": "BUSINESS",
            "displayName": "EUR Account",
            "defaultAccount": false,
            "externalReference": "",
            "createdDate": "2025-04-07 11:14:55"
        },
        {
            "xaid": "11d0693e-f111-4f53-111b-2b130985111",
            "status": "ACTIVE",
            "type": "SCAN",
            "currency": "GBP",
            "name": "Acme Corporation",
            "accountNumber": "56411608",
            "sortCode": "608382",
            "iban": "DK3589000056411608",
            "bic": "SXPYDKKK",
            "fullName": "Bugs Bunny",
            "companyName": "Acme Corporation",
            "companyReg": "01234567",
            "legalEntity": "GB",
            "isBusiness": true,
            "customerType": "BUSINESS",
            "displayName": "GBP Account",
            "defaultAccount": true,
            "externalReference": "",
            "createdDate": "2025-04-07 11:14:55"
        }
    ]
}

πŸ”Ή GET /account/{xaid} β€” Query Single Account

Retrieve details of a single account using its unique xaid (xace account id).

Path Parameter:

ParameterTypeRequiredDescription
xaidstringβœ…The xace account id, is a uuid like c214543f-831c-4140-8315-c285bafc9233

πŸ”Ή GET /account/{xaid}/balance β€” Query Balance of an Account

Returns the current balance (available and pending) of a specific account.

Path Parameter:

ParameterTypeRequiredDescription
xaidstringβœ…The xace account id, is a uuid like c214543f-831c-4140-8315-c285bafc9233
Codetext
{
  currency: 'GBP',
  balance: 5000,
  availableBalance: 5000,
  pendingBalance: 0
}
Was this page helpful?
Suggest edits